Edgewall Software
Modify

Opened 10 years ago

Closed 9 years ago

Last modified 7 years ago

#10224 closed defect (invalid)

Performance degrades after Postgres upgrade 8.4.7 to 9.0.4

Reported by: baloand@… Owned by:
Priority: normal Milestone:
Component: general Version: 0.12.2
Severity: blocker Keywords: postgresql, windows, performance
Cc: Branch:
Release Notes:
API Changes:
Internal Changes:

Description

Hello,

I am having an unexpected problem with upgrading from Postgres 8.4.7 to 9.0.4. After upgrade response time for a gui request increases to about 15 secs. With Postgres 8.4.7 the gui response takes less than a second. I have checked my 9.0.4 with command line python using psycopg2 and there is no degradation in performance. Any ideas?

Enclosed find excerpts from trac.log showing degraded timing in 9.0.4 compared to 8.4.7.

Regards, Andreas

Postgres 9.0.4 (slow)

2011-06-11 23:17:21,780 Trac[main] DEBUG: Dispatching <Request "GET '/wiki'">
2011-06-11 23:17:24,780 Trac[api] INFO: Synchronized '' repository in 3.00 seconds
2011-06-11 23:17:25,780 Trac[session] DEBUG: Retrieving session for ID u'baloan'
2011-06-11 23:17:30,905 Trac[chrome] DEBUG: Prepare chrome data for request
2011-06-11 23:17:37,046 Trac[formatter] DEBUG: Executing Wiki macro TOC by provider <tractoc.macro.TOCMacro object at 0x039BA3D0>

Postgres 8.4.7 (fast)

2011-06-13 21:52:51,062 Trac[main] DEBUG: Dispatching <Request "GET '/wiki'">
2011-06-13 21:52:51,140 Trac[api] INFO: Synchronized '' repository in 0.08 seconds
2011-06-13 21:52:51,155 Trac[session] DEBUG: Retrieving session for ID u'baloan'
2011-06-13 21:52:51,280 Trac[chrome] DEBUG: Prepare chrome data for request
2011-06-13 21:52:51,453 Trac[formatter] DEBUG: Executing Wiki macro TOC by provider <tractoc.macro.TOCMacro object at 0x032EF4D0>
Windows XP SP3
Python 2.7.1 (r271:86832, Nov 27 2010, 18:30:46) [MSC v.1500 32 bit (Intel)] on win32
PostgreSQL 8.4.7 vs PostgreSQL 9.0.4
>>> psycopg2.__version__
'2.4.1 (dt dec pq3 ext)'

System Information

Trac 	0.12.2
FullBlog 	0.1.1-r9430
Genshi 	0.6
Mercurial 	1.7.5
mod_wsgi 	3.3 (WSGIProcessGroup WSGIApplicationGroup %{GLOBAL})
psycopg2 	2.4.1
Python 	2.7.1 (r271:86832, Nov 27 2010, 18:30:46) [MSC v.1500 32 bit (Intel)]
pytz 	2011b
setuptools 	0.6c11
Subversion 	1.6.15 (r1038135)
jQuery:	1.4.2

Installed Plugins

tick 	N/A 	d:\home\web\trac\scm\plugins\tick.pyc
tracaccountmanager 	0.3dev-r9929 	c:\apps\python27\lib\site-packages\tracaccountmanager-0.3dev_r9929-py2.7.egg
tracdiscussion 	0.8 	c:\apps\python27\lib\site-packages\tracdiscussion-0.8-py2.7.egg
tracdownloads 	0.3 	c:\apps\python27\lib\site-packages\tracdownloads-0.3-py2.7.egg
tracfullblogplugin 	0.1.1-r9430 	c:\apps\python27\lib\site-packages\tracfullblogplugin-0.1.1_r9430-py2.7.egg
tracganttcalendarplugin 	0.2 	c:\apps\python27\lib\site-packages\tracganttcalendarplugin-0.2-py2.7.egg
trachttpauth 	1.1 	c:\apps\python27\lib\site-packages\trachttpauth-1.1-py2.7.egg
tracloginrequiredplugin 	0.1.0 	c:\apps\python27\lib\site-packages\tracloginrequiredplugin-0.1.0-py2.7.egg
tracmercurial 	0.12.0.26 	c:\apps\python27\lib\site-packages\tracmercurial-0.12.0.26-py2.7.egg
tractags 	0.6 	c:\apps\python27\lib\site-packages\tractags-0.6-py2.7.egg
tractocmacro 	11.0.0.3 	c:\apps\python27\lib\site-packages\tractocmacro-11.0.0.3-py2.7.egg

Attachments (0)

Change History (3)

comment:1 by anonymous, 10 years ago

Version: 0.12-stable0.12.2

comment:2 by Christian Boos, 9 years ago

Resolution: invalid
Status: newclosed

Apparently nobody else saw this…

comment:3 by Ryan J Ollos, 7 years ago

Keywords: postgresql windows performance → postgresql, windows, performance

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The ticket will remain with no owner.
The resolution will be deleted. Next status will be 'reopened'.
to The owner will be changed from (none) to the specified user.

Add Comment


E-mail address and name can be saved in the Preferences .
 
Note: See TracTickets for help on using tickets.